/* from Dale Schumacher's dLibs */

#define __SRC__	/* to keep compiler happy about proto */
#include <stdio.h>
#include "lib.h"

extern int fgetc(), fungetc();

int
fscanf(fp, fmt, arg)
	FILE *fp;
	const char *fmt;
	char *arg;
	{
	return(_scanf(fp, fgetc, fungetc, fmt, &arg));
	}

int
scanf(fmt, arg)
	const char *fmt;
	char *arg;
	{
	return(_scanf(stdin, fgetc, fungetc, fmt, &arg));
	}

int
vscanf(fmt, arg)
	const char *fmt;
	char *arg;
	{
	return(_scanf(stdin, fgetc, fungetc, fmt, arg));
	}

int
vfscanf(fp, fmt, arg)
	FILE *fp;
	const char *fmt;
	char *arg;
	{
	return(_scanf(fp, fgetc, fungetc, fmt, arg));
	}
